WCB3000N Firmware Upgrades

Actiontec does not maintain/provide firmware upgrades for devices supplied by an Internet Service Provider.

Contact your ISP for firmware upgrades for devices supplied by the ISP.


There are currently NO firmware upgrades for the NCS version.

Was this article helpful?
2 out of 29 found this helpful

Comments

6 comments
  • I have two NCS devices (WCB-3000N) and am wondering if they are susceptible to KRACK. If so, when will there be a firmware update for them? If not, could you please post a similar explanation to that on the WCB6200Q article?

  • Jeff,

    The WCB3000N does not support repeater mode or 802.11r FT. So it is not affected by the KRACK vulnerability. So no firmware update is required. But you will need to make sure that your wireless devices themselves are not vulnerable to the KRACK vulnerability. For that, you will need to check with the manufacture of all your wireless devices.

  • How can I downgrade firmware?
    They have Firmware v0.16.8.6 on them now. We want to re flash to version 0.16.5.4.
    Can you provide this firmware version and MOP for re-flashing?

  • Curtis,

    Where did you get those devices with that firmware? Also, where did you hear there was a 0.16.5.4 firmware?

  • I have a customer with a large qty of units with 0.16.8.6 but will not work for them. they are asking me if I can reload to 0.16.5.4 which will work for them.

  • Curtis,
    You are trying to flash the unit with a firmware made for one specific ISP with one made for a completely different ISP. Doing this will cause you to ruin those units. Since those devices were made for a specific ISP the ISP would be the only one you would be able to get the firmware from. Downgrading a firmware on a unit is also something we DO NOT support.

Please sign in to leave a comment.